function [x, y, y1] = getPoints(X, Y, n, dt, maxF)
	
	offset = n + max(dt,0);

	x = zeros(size(X, 1) * n, maxF - offset);
	y = zeros(size(Y, 1) * n, maxF - offset);
	y1 = zeros(size(Y, 1), maxF - offset);
	
	for i = 1+offset:maxF
		x(:,i - offset) = flatten( X(:, i-n-dt:i-1-dt) );
		y(:,i - offset) = flatten( Y(:, i-n:i-1) );
		y1(:,i - offset) = flatten( Y(:, i) );
	end
end
